Groovy Documentation

## org.codehaus.groovy.grails.webflow.engine.builder
[Groovy] Class ControllerDelegate

    java.lang.Object
      org.codehaus.groovy.grails.web.servlet.WebRequestDelegatingRequestContext
          org.codehaus.groovy.grails.webflow.engine.builder.AbstractDelegate
              org.codehaus.groovy.grails.webflow.engine.builder.ControllerDelegate

    class ControllerDelegate
    extends AbstractDelegate

A delegate that relays method calls onto the currently executing controller.

Authors:
  Graeme Rocher

Since:
  0.6

Constructor Summary
`ControllerDelegate(RequestContext context)`

Method Summary
`java.lang.Object` | `invokeMethod(java.lang.String name, java.lang.Object args)` invokes a method as an action if possible

Methods inherited from class AbstractDelegate
getConversation, getFlash, getFlow, getProperty

Methods inherited from class WebRequestDelegatingRequestContext
getActionName, getApplicationContext, getControllerName, getOut, getParams, getRequest, getRequestURI, getResponse, getServletContext, getSession, getWebRequest

Constructor Detail

### ControllerDelegate

    ControllerDelegate(RequestContext context)

Method Detail

### invokeMethod

    java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args)

  invokes a method as an action if possible

Groovy Documentation